This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 612961 - [abrt] crash in calibre-0.6.55-1.fc13: parser.pxi:565:lxml.etree._raiseParseError (src/lxml/lxml.etree.c:64521):XMLSyntaxError: xmlns:v: '3D"urn:schemas-microsoft-com:vml"' is not a valid URI, line 1, column 14
Summary: [abrt] crash in calibre-0.6.55-1.fc13: parser.pxi:565:lxml.etree._raiseParseE...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a2f2d3a0
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-09 12:10 UTC by Vinh-Quang Luu
Modified: 2011-01-22 20:32 UTC (History)
6 users (show)

Fixed In Version: calibre-0.7.38-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-22 20:29:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.13 KB, text/plain)
2010-07-09 12:11 UTC, Vinh-Quang Luu
no flags Details

Description Vinh-Quang Luu 2010-07-09 12:10:58 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: python /usr/bin/calibre-parallel
component: calibre
executable: /usr/bin/calibre-parallel
kernel: 2.6.33.6-147.fc13.x86_64
package: calibre-0.6.55-1.fc13
reason: parser.pxi:565:lxml.etree._raiseParseError (src/lxml/lxml.etree.c:64521):XMLSyntaxError: xmlns:v: '3D"urn:schemas-microsoft-com:vml"' is not a valid URI, line 1, column 14
release: Fedora release 13 (Goddard)

Comment 1 Vinh-Quang Luu 2010-07-09 12:11:06 UTC
Created attachment 430660 [details]
File: backtrace

Comment 2 Frank Murphy 2010-07-09 12:18:41 UTC
What were you doing when the crash happened?

Comment 3 Vinh-Quang Luu 2010-07-09 12:34:00 UTC
I tried to convert an Vietnamese-language eBook .chm to ePub

Comment 4 Michal Nowak 2010-07-09 12:41:17 UTC
Can you reproduce it all the time?

Comment 5 Vinh-Quang Luu 2010-07-09 13:36:52 UTC
Everytime when i attempt to convert Vietnamese ebook extension chm to epub.

Comment 6 Michal Nowak 2010-07-09 13:44:12 UTC
Good. Can you either try to install (or rebuild yourself if it won't install) latest rawhide Calibre http://koji.fedoraproject.org/koji/buildinfo?buildID=181283 and test with it, or provide link to any freely available Vietnamese chm ebook?

Comment 7 Vinh-Quang Luu 2010-07-09 14:11:13 UTC
Try this,man 
http://www.mediafire.com/?nwjiytrzmtl

Comment 8 Frank Murphy 2010-07-09 14:21:00 UTC
(In reply to comment #0)
> abrt 1.1.1 detected a crash.
> 
> architecture: x86_64
> Attached file: backtrace
> cmdline: python /usr/bin/calibre-parallel
> component: calibre
> executable: /usr/bin/calibre-parallel
> kernel: 2.6.33.6-147.fc13.x86_64
> package: calibre-0.6.55-1.fc13
> reason: parser.pxi:565:lxml.etree._raiseParseError
> (src/lxml/lxml.etree.c:64521):XMLSyntaxError: xmlns:v:
> '3D"urn:schemas-microsoft-com:vml"' is not a valid URI, line 1, column 14
> release: Fedora release 13 (Goddard)    

I've reproduced this crash with current version.

Comment 9 Vinh-Quang Luu 2010-07-09 14:33:18 UTC
Ya,when i open every Vietnamese ebook ext .chm,CHMView or xCHM only displays HTML code.It seems not happen to other English ebook.

Comment 10 Frank Murphy 2010-07-09 14:56:58 UTC
(In reply to comment #9)
> Ya,when i open every Vietnamese ebook ext .chm,CHMView or xCHM only displays
> HTML code.It seems not happen to other English ebook.    

I just die a mockbuild of:
http://koji.fedoraproject.org/koji/buildinfo?buildID=181283

it fixes the chm problem:

but we are still caught with requiring an updated python-cssutils:
https://bugzilla.redhat.com/show_bug.cgi?id=598079

Comment 11 Frank Murphy 2010-07-09 15:02:51 UTC
http://fpaste.org/d4MS/

Comment 12 Frank Murphy 2010-07-17 17:41:46 UTC
(In reply to comment #9)
> Ya,when i open every Vietnamese ebook ext .chm,CHMView or xCHM only displays
> HTML code.It seems not happen to other English ebook.    


Can you try the scratch builds here:
calibre:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2323226

you also need updated python-cssutils:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2323239

Comment 13 Alexander Vasiljev 2011-01-10 15:48:16 UTC
Package: calibre-0.7.23-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. loading a batch of fb2.zip books into the reader
2.
3.

Comment 14 Fedora Update System 2011-01-13 00:07:55 UTC
calibre-0.7.38-3.fc14,python-cssutils-0.9.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/calibre-0.7.38-3.fc14,python-cssutils-0.9.7-1.fc14

Comment 15 Fedora Update System 2011-01-13 00:19:40 UTC
calibre-0.7.38-3.fc13,python-cssutils-0.9.7-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/calibre-0.7.38-3.fc13,python-cssutils-0.9.7-1.fc13

Comment 16 Fedora Update System 2011-01-13 23:25:54 UTC
calibre-0.7.38-3.fc13, python-cssutils-0.9.7-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update calibre python-cssutils'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/calibre-0.7.38-3.fc13,python-cssutils-0.9.7-1.fc13

Comment 17 Fedora Update System 2011-01-22 20:27:32 UTC
calibre-0.7.38-3.fc13, python-cssutils-0.9.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-01-22 20:31:30 UTC
calibre-0.7.38-3.fc14, python-cssutils-0.9.7-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.